package com.ecep.contract.controller.table.cell;

import static com.ecep.contract.SpringApp.getBean;

import com.ecep.contract.service.ProjectTypeService;
import com.ecep.contract.vo.ProjectTypeVo;

import lombok.NoArgsConstructor;
/**
 * 项目类型单元格
 */
@NoArgsConstructor
public class ProjectTypeTableCell<V> extends AsyncUpdateTableCell<V, Integer, ProjectTypeVo> {

    public ProjectTypeTableCell(ProjectTypeService projectTypeService) {
        setService(projectTypeService);
    }

    @Override
    protected ProjectTypeService getServiceBean() {
        return getBean(ProjectTypeService.class);
    }
}